#ifndef MODELCONVERTER_READERS_MANAGER_H
#define MODELCONVERTER_READERS_MANAGER_H

#include <Rtypes.h>
#include <TString.h>

#include <mciEvent.h>
#include <mciParticle.h>
#include <Utility.h>

class mciReader_manager
{
private:
  /* data */
public:
  virtual ~mciReader_manager();

  virtual void SetChain(const TString &inputFileName) = 0;
  virtual Long64_t GetEntries() = 0;
  virtual mciEvent *ReadEvent(Long64_t iev) = 0;
  virtual mciParticle* ReadParticle(Int_t ipart) = 0;

  ClassDef(mciReader_manager,0);
};

#endif
